none
.NET 3.5 Framework install failure RRS feed

  • Question

  • I'm trying to install the .NET 3.5 framework and I get the following error:

     

    Microsoft .NET Framework 3.5 has encountered a problem during setup.  Setup did not complete correctly.

     

    My OS: Windows XP SP2 running on a Virtual PC 2007

     

    Here is Aaron Ruckmans points of interest:

     

    Step 1

    1. .NET 3.5
    2. Downloaded from here
    3. Should be the RTM
    4. Uninstalled .NET 3.5 Beta 2 (pre-release) before trying to install

    Step 2

    I have the vslogs.cab file but don't know how to upload it. The first link Aaron provides is broke. The second link is in German. Please provide instructions for uplaoding the vslogs.cab file.

     

    Let me know if there is anything else I can provide.

     

    Thanks!

    Thursday, January 17, 2008 12:56 PM

Answers

  • Hi there,

     

    It looks like there's a problem with authenticating with your proxy server to download the necessary pieces of the .Net Framework. 

     

    Code Block

    [11/22/07,06:29:54] Microsoft .NET Framework 3.0SP1 x86: [2] dlmgr: CDownloadJobBITSImpl::RunToFinish() : BITS job in BG_JOB_STATE_ERROR state.
    Context: 5 Error code: -2145844841 Description: Proxy authentication is required.

    [11/22/07,06:29:54] Microsoft .NET Framework 3.0SP1 x86: [2] Failed to fetch setup file in CBaseComponent::PreInstall()
    [11/22/07,06:29:54] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467260.

     

     

     

    Can you try downloading the full .Net 3.5 redistributable package from the link below and installing that?

     

    http://download.microsoft.com/download/6/0/f/60fc5854-3cb8-4892-b6db-bd4f42510f28/dotnetfx35.exe

     

    Hope this helps,

    Nick Doty - MSFT

    Saturday, January 19, 2008 12:16 AM

All replies

  •  

    Okay, I used the German file upload link. My vslogs.cab file is here

     

    Any help is appreciated...

    Friday, January 18, 2008 5:40 PM
  • Hi there,

     

    It looks like there's a problem with authenticating with your proxy server to download the necessary pieces of the .Net Framework. 

     

    Code Block

    [11/22/07,06:29:54] Microsoft .NET Framework 3.0SP1 x86: [2] dlmgr: CDownloadJobBITSImpl::RunToFinish() : BITS job in BG_JOB_STATE_ERROR state.
    Context: 5 Error code: -2145844841 Description: Proxy authentication is required.

    [11/22/07,06:29:54] Microsoft .NET Framework 3.0SP1 x86: [2] Failed to fetch setup file in CBaseComponent::PreInstall()
    [11/22/07,06:29:54] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467260.

     

     

     

    Can you try downloading the full .Net 3.5 redistributable package from the link below and installing that?

     

    http://download.microsoft.com/download/6/0/f/60fc5854-3cb8-4892-b6db-bd4f42510f28/dotnetfx35.exe

     

    Hope this helps,

    Nick Doty - MSFT

    Saturday, January 19, 2008 12:16 AM
  •  

    Nick,

     

    That worked. Thanks!

     

    Just FYI: During the install, I got a message along the lines of "Please stop the following programs before continuing: "Microsoft .NET Framework 3.5  install". Strange that the install is asking you to cancel itself. One of the dialog options was 'Ignore' which allowed the installation to continue.

     

    Thanks again,

     

    Bob

    Monday, January 21, 2008 2:35 PM
  • I've downloaded the full redistributable RTM version of .Net 3.5 and am still getting a similar problem.  Here are my particular points:

    1. Trying to install .Net 3.5 RTM
    2. Retrieved from link above
    3. This is the release version of .Net 3.5.
    4. Currently I have installed .Net v1.0.3705, v1.1.4322, and v2.0.50727

    My installation log is available here.

    So this is clearly an issue with the proxy.  I've tried installing the MS support tools and running the BITS repair as described in the readme.  I've tried turning off the proxy settings in IE.  Obviously I'm using the full installation version of .Net 3.5 to try to avoid the need to download components, but that doesn't seem to matter.  We don't have any kind of automatic authentication capabilities on the proxy and also can't really work around it (I work for a financial institution, so our proxy and ability to work around it [or really INABILITY] is pretty limited).

    What to do?  I can't install any of the other components (VS2K8) that I'm actually trying to evaluate!  Please let me know if you need any other information.

    Update: One thing is that that log starts with errors in the RGB Rast, so I'm guessing that what it's really trying to download is RGB Rast.  So I tried installing that from a link I found in another post.  So I got that MSI and ran it.  It basically went through the "Preparing to install..." start-up dialog then just disappears.  I don't know how to validate that it properly installed or what package it comes from, but running after having done that yields the same results in the error log.
    Friday, February 8, 2008 5:04 AM
  •  

    Hi Rick,

     

    Based on the timestamps in your error log, it looks like you've resolved the problem with RGB Rast and are now encountering a failure with WIC Installer.

     

    Code Snippet
    [02/07/08,20:01:59] WIC Installer: [2] Error code 1603 for this component means "Fatal error during installation."
    [02/07/08,20:01:59] WIC Installer: [2] Setup Failed on component WIC Installer [02/07/08,20:02:18] WapUI: [2] DepCheck indicates WIC Installer is not installed.

     


    I'm not sure what the exact cause of this problem is, but you might check out this thread where others solved their WIC Installer errors.  http://forums.microsoft.com/MSDN/ShowPost.aspx?PostID=1127573&SiteID=1  (If those answers don't help you, you might post your dd_WIC log so we can all take a closer look.)

     

    Hope this helps,

    Nick Doty - MSFT

    Saturday, February 9, 2008 1:09 AM
  • There's the issue:

     

    Code Snippet

    0.109: ================================================================================
    0.109: 2008/02/08 09:05:06.739 (local)
    0.125: d:\4819ccca7584519ef6\update\update.exe (version 6.3.4.0)
    0.125: Failed To Enable SE_SECURITY_PRIVILEGE
    0.125:  Setup encountered an error:  You do not have permission to update Windows XP.
    Please contact your system administrator.
    0.125: You do not have permission to update Windows XP.
    Please contact your system administrator.
    0.125: Update.exe extended error code = 0xf004
    0.125: Update.exe return code was masked to 0x643 for MSI custom action compliance.

     

    I guess I have admin access only up to a point!  I was able to install .Net 2.0 myself, but apparently this gets a bit deeper in the OS.  I'll try to get our support techs to do this update.  Is there a stand-alone installer for the WIC install?

    Sunday, February 10, 2008 1:55 AM
  • Install .Net3.5 prior to installing Service pack 3

    Otherwise you will get "Setup Failed on component WIC Installer"
    Monday, August 10, 2009 10:19 PM